Start journey
Start a customer verification journey in GBG GO to create a trackable journey instance for an end user.
POST
/
journey
/
start
Start journey
curl --request POST \
--url https://eu.platform.go.gbgplc.com/v2/captain/journey/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceId": "97c8b0c5272ba450c48899cc78f6e3f3ba89b5d131c42f7ea972588bd8213b3e@y5z6bj7o",
"context": {
"config": {
"delivery": "page"
},
"subject": {}
}
}
'import requests
url = "https://eu.platform.go.gbgplc.com/v2/captain/journey/start"
payload = {
"resourceId": "97c8b0c5272ba450c48899cc78f6e3f3ba89b5d131c42f7ea972588bd8213b3e@y5z6bj7o",
"context": {
"config": { "delivery": "page" },
"subject": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceId: '97c8b0c5272ba450c48899cc78f6e3f3ba89b5d131c42f7ea972588bd8213b3e@y5z6bj7o',
context: {config: {delivery: 'page'}, subject: {}}
})
};
fetch('https://eu.platform.go.gbgplc.com/v2/captain/journey/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instanceId": "Pq_hhIX6-sHUy9FLSDzPLu",
"instanceUrl": "/journey/Pq_hhIX6-sHUy9FLSDzPLu",
"status": "started",
"message": "Journey Pq_hhIX6-sHUy9FLSDzPLu started successfully"
}{
"status": 404,
"message": "Not Found Error, validate resource Id",
"error": "not-found-error"
}{
"status": 405,
"message": "Method Not Allowed.",
"error": "method-not-allowed-error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique identifier for the journey. Append '@latest' to use the most recent version.
Example:
"97c8b0c5272ba450c48899cc78f6e3f3ba89b5d131c42f7ea972588bd8213b3e@y5z6bj7o"
Prefilled identity data for the journey.
Example:
{
"config": { "delivery": "page" },
"subject": {}
}
Was this page helpful?
Previous
Retrieve tasksRetrieve the list of tasks assigned to a GBG GO journey instance to determine what actions the customer must complete. Deprecated.
Next
⌘I
Start journey
